Package com.smartgwt.client.widgets.tab.events

# Class TabDeselectedEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<TabDeselectedHandler>
com.smartgwt.client.widgets.tab.events.TabDeselectedEvent

All Implemented Interfaces:
  `Cancellable`

public class TabDeselectedEvent extends BrowserEvent<TabDeselectedHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TabDeselectedEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to cancel the tab deselection
  `protected void`
  `dispatch(TabDeselectedHandler handler)`
  `static <S extends HasTabDeselectedHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<TabDeselectedHandler>`
  `getAssociatedType()`
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `String`
  `getID()`
  the ID of the deselected tab
  `String`
  `getName()`
  the name of the deselected tab
  `Tab`
  `getNewTab()`
  the tab object being selected
  `Tab`
  `getTab()`
  the deselected tab object (not tab button instance)
  `Integer`
  `getTabNum()`
  the index of the deselected tab
  `Canvas`
  `getTabPane()`
  the deselected tab's pane if set
  `TabSet`
  `getTabSet()`
  Return the tabSet containing the tab.
  `static GwtEvent.Type<TabDeselectedHandler>`
  `getType()`
  Gets the type associated with this event.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TabDeselectedEvent

    public TabDeselectedEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasTabDeselectedHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<TabDeselectedHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(TabDeselectedHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<TabDeselectedHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<TabDeselectedHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<TabDeselectedHandler>`

  - ### cancel

    public void cancel()
    Call this method to cancel the tab deselection
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getTabNum

    public Integer getTabNum()
    the index of the deselected tab
    Returns:
      the index of the deselected tab

  - ### getTabPane

    public Canvas getTabPane()
    the deselected tab's pane if set
    Returns:
      the deselected tab's pane if set

  - ### getID

    public String getID()
    the ID of the deselected tab
    Returns:
      the ID of the deselected tab

  - ### getTab

    public Tab getTab()
    the deselected tab object (not tab button instance)
    Returns:
      the deselected tab object (not tab button instance)

  - ### getNewTab

    public Tab getNewTab()
    the tab object being selected
    Returns:
      the tab object being selected

  - ### getName

    public String getName()
    the name of the deselected tab
    Returns:
      the name of the deselected tab

  - ### getTabSet

    public TabSet getTabSet()
    Return the tabSet containing the tab.
    Returns:
      the tabSet containing the tab.